Skip to main content

Get Order Book

Description​

Get market depth data of the designated trading pair

HTTP Request​

GET /v3/market/orderBook

Request Parameters​

ParameterRequiredTypeDescription
symbolYesStringA trading pair, consisting of two currencies: base currency and quote currency
scaleNoStringLevel of market depth
limitNoIntegerNumber of results per request. The default limit is 10. The effective limit: 5, 10, 20, 100, 150

Response Parameters​

ParameterTypeDescription
tsStringTimestamp
sStringLevel of market depth
asksList<String>Buy order book
bidsList<String>Sell order book

Request Example​

{
"symbol": "BTC_USDT_PERP",
"scale": "100",
"limit": 50
}

Response Example​

{
"code": 200,
"data": {
"asks": [["58700", "9934"]],
"bids": [
["58600", "9952"],
["46000", "10"],
["41000", "2"],
["10000", "13"]
],
"s": "100",
"ts": 1719974138333
},
"msg": "Success"
}